<ion-header no-border>
  <ion-navbar>
    <ion-title>
      Highscore
    </ion-title>

    <ion-buttons right>
      <button ion-button icon-only (click)="addRoundForEveryone()">
        <ion-icon name="add-circle"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col col-6>
        <ion-list>
          <ion-item-divider color="light">Vali</ion-item-divider>

          <ion-item *ngFor="let r of rounds.player1">
            <ion-label>{{r}}</ion-label>
          </ion-item>

          <ion-item>
            <ion-label [class.player-finished]="sum.player1 >= 1000">{{sum.player1}}</ion-label>
            <ion-icon item-start name="cash"></ion-icon>
          </ion-item>

          <ion-item (click)="addRound('player1')" text-center>
            <ion-icon item-start name="remove"></ion-icon>
            <ion-label>Subtract/Add</ion-label>
            <ion-icon item-end name="add"></ion-icon>
          </ion-item>
        </ion-list>
      </ion-col>


      <ion-col col-6>
        <ion-list>
          <ion-item-divider color="light">Dani</ion-item-divider>


          <ion-item *ngFor="let r of rounds.player2">
            <ion-label>{{r}}</ion-label>
          </ion-item>

          <ion-item>
            <ion-label [class.player-finished]="sum.player2 >= 1000">{{sum.player2}}</ion-label>
            <ion-icon item-start name="cash"></ion-icon>
          </ion-item>
  
          <ion-item (click)="addRound('player2')" text-center>
            <ion-icon item-start name="remove"></ion-icon>
            <ion-label>Subtract/Add</ion-label>
            <ion-icon item-end name="add"></ion-icon>
          </ion-item>
        </ion-list>
      </ion-col>

    </ion-row>
  </ion-grid>
</ion-content>
